> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Approvals Workflow configuration

Retrieve the full Approvals Workflow configuration for a specific client. This includes both the **approval rules** and the **groups** involved in the workflow.


## OpenAPI

````yaml /openapi.json get /approvals-workflow/config
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security:
  - api_key: []
paths:
  /approvals-workflow/config:
    get:
      tags:
        - Approvals Workflow
      summary: Get the Approvals Workflow configuration
      description: >-
        Get the Approvals Workflow configuration for a given client ID,
        including both the groups and the rules defined for the client.
      parameters:
        - description: The ID of the client
          in: query
          name: client_id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: The access token
          required: true
          schema:
            type: string
        - description: The ID of the contact
          in: header
          name: X-Contact-ID
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Client Approvals Workflow configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApprovalsWorkflowConfig'
        '400':
          description: >-
            Formatting, parameter or schema validation error. See error message
            for further details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Access denied due to authentication failure
        '403':
          description: >-
            Could not complete action due to data constraints. Refer to error
            message for additional details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Client ID or config for the specified client not found
        '502':
          description: Internal integration error. Contact support
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ApprovalsWorkflowConfig:
      description: The configuration of the Approvals Workflow for a client.
      properties:
        groups:
          description: The groups (payment and admin) configured for the client.
          type: array
          items:
            $ref: '#/components/schemas/ApprovalsWorkflowGroup'
        ruleset:
          $ref: '#/components/schemas/ApprovalsWorkflowRuleset'
          description: The payment approval ruleset for the client.
      required:
        - groups
        - ruleset
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    ApprovalsWorkflowGroup:
      description: A group in the Approvals Workflow configuration.
      properties:
        name:
          description: The name of the group.
          type: string
        scope:
          description: The scope of the group (either 'admin' or 'payments').
          type: string
        users:
          description: The users in the group.
          type: array
          items:
            $ref: '#/components/schemas/ApprovalsWorkflowGroupUser'
      required:
        - name
        - scope
        - users
      type: object
    ApprovalsWorkflowRuleset:
      description: >-
        A ruleset containing approval rules with a specific currency for a
        client.
      properties:
        currency:
          description: The currency this ruleset applies to.
          type: string
        rules:
          description: The payment approval rules configured for the client.
          type: array
          items:
            $ref: '#/components/schemas/ApprovalsWorkflowRule'
      required:
        - currency
        - rules
      type: object
    ApprovalsWorkflowGroupUser:
      description: A user in an Approvals Workflow group.
      properties:
        id:
          description: The identifier of the user (contact ID).
          type: string
        name:
          description: The name of the user.
          type: string
        email:
          description: The email of the user.
          type: string
      required:
        - id
        - name
        - email
      type: object
    ApprovalsWorkflowRule:
      description: A payment approval rule in the Approvals Workflow configuration.
      properties:
        groups:
          description: The groups this rule applies to.
          type: array
          items:
            $ref: '#/components/schemas/ApprovalsWorkflowRuleGroup'
        minimum_threshold:
          description: The minimum amount threshold for this rule.
          format: float
          type: number
      required:
        - groups
        - minimum_threshold
      type: object
    ApprovalsWorkflowRuleGroup:
      description: A combination of groups in a payment approval rule.
      properties:
        one_of:
          description: Possible approval group combinations required.
          type: array
          items:
            $ref: '#/components/schemas/ApprovalsWorkflowRuleGroupCombination'
      required:
        - one_of
      type: object
    ApprovalsWorkflowRuleGroupCombination:
      description: Which groups are required to approve in this combination.
      properties:
        all_of:
          description: The group names that must approve.
          type: array
          items:
            type: string
      required:
        - all_of
      type: object
  securitySchemes:
    api_key:
      description: An API Key.
      in: header
      name: x-api-key
      type: apiKey

````